.\" @(#) $Name: arts++-0-9-b6 $ $Id: artsases.man,v 1.8 1999/02/07 21:50:59 dwm Exp $
.TH artsases l LOCAL
.SH NAME
artsases \- utility to display AS matrix objects from ARTS files
.SH SYNOPSIS
artsases [-v] [-p] [-r] [t AS] [-s srcAS] [-d dstAS] infile(s)
.SH DESCRIPTION
.I artsases
is a utility that reads AS matrix objects from ARTS files (\fIinfile(s)\fR)
and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsases\fR to print version information
and exit immediately.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count before being printed on stdout.  The default is
to sort in descending order by byte count.
.IP "\fB-t AS"
The \fI-t AS\fR option will cause only the total traffic for \fIAS\fR
to be shown.  This is convenient when you wish to see the total amount
of traffic to and fro a particular AS.
.IP "\fB-r"
When using the \fI-t AS\fR option, the default output shows the total
byte and packet counters only.  If you also use the \fI-r\fR option,
the output will contain packet and bit rates instead of packet and
byte totals.
.IP "\fB-s srcAS"
The \fI-s srcAS\fR option causes only entries with a source AS equal to
\fIsrcAS\fR to be shown.  This permits selecting only traffic from
a particular AS.
.IP "\fB-d dstAS"
The \fI-d dstAS\fR option causes only entries with a destination AS
equal to \fIdstAS\fR to be shown.  This permits selecting only traffic
to a particular AS.
.SH EXAMPLES
.IP "artsases arts.19980821
.SH SEE ALSO
artsasagg(l), artsdump(l), artsnets(l), artsnetagg(l), artsportagg(l), 
artsports(l), artsprotoagg(l), artsprotos(l), artstoc(l), jcdstasbar(l),
jcsrcasbar(l)
.SH ACKNOWLEDGEMENTS
\fBartsases \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

